(function($) {

  $(document).ready(function($) {

    //initialize the color picker
    $('.wp-color-picker').wpColorPicker();

    //initialize chosen on all the select elements
    var chosen_elements = [];

    //Fixed Tab
    chosen_elements.push('#dahf-fixed-flags-type');
    chosen_elements.push('#dahf-language-alt-attribute');
    chosen_elements.push('#dahf-locale-alt-attribute');
    chosen_elements.push('#dahf-fixed-flags-size');
    chosen_elements.push('#dahf-flags-source');
    chosen_elements.push('#dahf-fixed-flags');
    chosen_elements.push('#dahf-fixed-flags-position');
    chosen_elements.push('#dahf-fixed-flags-mobile');
    chosen_elements.push('#dahf-flags-type');
    chosen_elements.push('#dahf-flags-size');

    //Languages Tab
    $.each(languages, function(index, value) {
      chosen_elements.push('#dahf-language-' + value);
    });

    //Initialize Chosen
    $(chosen_elements.join(',')).chosen();

  });

  //Languages (ISO_639-1)
  var languages = [
    'ab',
    'aa',
    'af',
    'ak',
    'sq',
    'am',
    'ar',
    'an',
    'hy',
    'as',
    'av',
    'ae',
    'ay',
    'az',
    'bm',
    'ba',
    'eu',
    'be',
    'bn',
    'bh',
    'bi',
    'bs',
    'br',
    'bg',
    'my',
    'ca',
    'ch',
    'ce',
    'ny',
    'zh',
    'cv',
    'kw',
    'co',
    'cr',
    'hr',
    'cs',
    'da',
    'dv',
    'nl',
    'dz',
    'en',
    'eo',
    'et',
    'ee',
    'fo',
    'fj',
    'fi',
    'fr',
    'ff',
    'gl',
    'ka',
    'de',
    'el',
    'gn',
    'gu',
    'ht',
    'ha',
    'he',
    'hz',
    'hi',
    'ho',
    'hu',
    'ia',
    'id',
    'ie',
    'ga',
    'ig',
    'ik',
    'io',
    'is',
    'it',
    'iu',
    'ja',
    'jv',
    'kl',
    'kn',
    'kr',
    'ks',
    'kk',
    'km',
    'ki',
    'rw',
    'ky',
    'kv',
    'kg',
    'ko',
    'ku',
    'kj',
    'la',
    'lb',
    'lg',
    'li',
    'ln',
    'lo',
    'lt',
    'lu',
    'lv',
    'gv',
    'mk',
    'mg',
    'ms',
    'ml',
    'mt',
    'mi',
    'mr',
    'mr',
    'mn',
    'na',
    'nv',
    'nb',
    'nd',
    'ne',
    'ng',
    'nn',
    'no',
    'ii',
    'nr',
    'oc',
    'oj',
    'cu',
    'om',
    'or',
    'os',
    'pa',
    'pi',
    'fa',
    'pl',
    'ps',
    'pt',
    'qu',
    'rm',
    'rn',
    'ro',
    'ru',
    'sa',
    'sc',
    'sd',
    'se',
    'sm',
    'sg',
    'sr',
    'gd',
    'sn',
    'si',
    'sk',
    'sl',
    'so',
    'st',
    'az',
    'es',
    'su',
    'sw',
    'ss',
    'sv',
    'ta',
    'te',
    'tg',
    'th',
    'ti',
    'bo',
    'tk',
    'tl',
    'tn',
    'to',
    'tr',
    'ts',
    'tt',
    'tw',
    'ty',
    'ug',
    'uk',
    'ur',
    'uz',
    've',
    'vi',
    'vo',
    'wa',
    'cy',
    'wo',
    'fy',
    'xh',
    'yi',
    'yo',
    'za',
    'zu'];

}(jQuery));