<?php

//Prevent direct access to this file
if ( ! defined( 'WPINC' ) ) {
	die();
}

/**
 * Generate the HTML output of the placeholder.
 *
 * This function is also for the client that want to use it in a theme template fiel.
 */
function hreflang_flags(
	$flags_size = '32',
	$orientation = 'horizontal',
	$margin = '5',
	$container_color = '#000000',
	$container_opacity = '0',
	$container_horizontal_padding = '0',
	$container_vertical_padding = '0',
	$container_border_radius = '0',
    $echo = true
) {

	$output = '<div class="dahf-placeholder"' .
	     'data-flags-size="' . esc_attr( $flags_size ) . '"' .
	     'data-orientation="' . esc_attr( $orientation ) . '"' .
	     'data-margin="' . esc_attr( $margin ) . '"' .
	     'data-container-color="' . esc_attr( $container_color ) . '"' .
	     ' data-container-opacity="' . esc_attr( $container_opacity ) . '"' .
	     ' data-container-horizontal-padding="' . esc_attr( $container_horizontal_padding ) . '"' .
	     ' data-container-vertical-padding="' . esc_attr( $container_vertical_padding ) . '"' .
	     ' data-container-border-radius="' . esc_attr( $container_border_radius ) . '"' .
	     '"></div>';

	if($echo){
	    echo $output;
    }else{
	    return $output;
    }

}

